Subject: [PATCH 00/23] RFC: exynos multiplatform support

From: [email-masked] (Arnd Bergmann)
Date: Tue, 5 Mar 2013 22:43:00 +0000

On Tuesday 05 March 2013, Heiko St?bner wrote:
> Am Dienstag, 5. M?rz 2013, 22:54:22 schrieb Arnd Bergmann:
> > On Tuesday 05 March 2013, Arnd Bergmann wrote:
> 
> > We still need a solution for the ASoC drivers, but they are
> > not as essential. We could probably move the wrapper files
> > from plat-samsung/*dma*.c to sounds/soc/samsung when that becomes
> > the only remaining user.
> 
> In ASoC there is also a clear distinction between the different SoC
> generations. SND_SAMSUNG_I2S /_PCM /_AC97 ... is only used by newer SoCs
> while SND_S3C24XX_I2S and SND_S3C_I2SV2_SOC is used by the legacy SoCs.

Well, the only file that really needs to get changed is dma.c, which
seems to be used by both the old and the new drivers.

	Arnd